Summary: A WYSYWIG frontend to LaTeX
Name: lyxgdb
Version: 1.1.5fix2
Release: 1
Copyright: see COPYING file
Group: X11/Editors
Url: http://www.lyx.org/
Packager: Kayvan A. Sylvan <kayvan@sylvan.com>
Source: ftp://ftp.lyx.org/pub/lyx/stable/lyx-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /var/tmp/rpm/lyx-root
Icon: lyx.xpm
Prefix: /usr
Requires: xforms >= 0.88, tetex-xdvi, tetex, tetex-latex, lyx

%description
This is a debuggable version of lyx.

%prep
%setup -n lyx-%{PACKAGE_VERSION}

%build
unset LINGUAS || true
CXXFLAGS="-g" CFLAGS="-g" ./configure --prefix=/usr 
if [ -r /usr/lib/libstdc++-libc6.1-1.so.2 ]
then
	make CXX=gcc LYX_LIBS='/usr/lib/libstdc++-libc6.1-1.so.2 -lforms -lXpm'
else
	make
fi

%install
unset LINGUAS || true
rm -rf ${RPM_BUILD_ROOT}
install -d -m 755 ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}/usr install
mv ${RPM_BUILD_ROOT}/usr/bin/lyx ${RPM_BUILD_ROOT}/usr/bin/lyxgdb

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%attr(-,root,root) /usr/bin/lyxgdb
